import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/buttons/secondary_button.dart';
import 'package:diplomaticquarterapp/widgets/data_display/text.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:diplomaticquarterapp/widgets/transitions/fade_page.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import 'home_health_care_page.dart';

class HomeHealthCareIndexPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return AppScaffold(
        isShowAppBar: true,
        appBarTitle: TranslationBase.of(context).serviceInformation,
        body: SingleChildScrollView(
            padding: EdgeInsets.all(12),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Texts(
                  TranslationBase.of(context).homeHealthCare,
                  fontWeight: FontWeight.normal,
                  fontSize: 25,
                  color: Color(0xff60686b),
                ),
                SizedBox(
                  height: 12,
                ),
                Texts(
                  TranslationBase.of(context).homeHealthCareText,
                  fontWeight: FontWeight.normal,
                  fontSize: 17,
                ),
                SizedBox(
                  height: 22,
                ),
                Center(
                    child: Image.asset(
                        'assets/images/AlHabibMedicalService/Wifi-AR.png')),
                SizedBox(
                  height: 77,
                ),
              ],
            )),
        bottomSheet: Container(
          height: MediaQuery.of(context).size.height * 0.10,
          width: double.infinity,
          child: Column(
            children: <Widget>[
              Container(
                width: MediaQuery.of(context).size.width * 0.9,
                child: SecondaryButton(
                    onTap: () => Navigator.push(
                      context,
                      FadePage(
                        page: HomeHealthCarePage(),
                      ),
                    ),
                    label: TranslationBase.of(context).loginRegister,
                    textColor: Theme.of(context).backgroundColor),
              ),
            ],
          ),
        ));
  }
}
